win7+64位体系ruby on rails 装备及有关gem mysql2报错问题解决方法ITeye - 众发娱乐

win7+64位体系ruby on rails 装备及有关gem mysql2报错问题解决方法ITeye

2019年02月28日12时44分09秒 | 作者: 碧春 | 标签: 装置,数据库,文件 | 浏览: 1735

需求用到的文件:

1.mysql-5.5.20-winx64.msi 注MySQL数据库装置包。X86体系用win32版。

2.mysql-connector-c-6.0.2-win32.msi 注由于Ruby on Rails环境是Win32的,有必要是win32

3.railsinstaller-2.0.1.exe

 

第一步:装置mysql-5.5.20-winx64.msi,装备导游中留意设置数据库暗码;

 

第二步:装置mysql-connector-c-6.0.2-win32.msi

 

第三步:装置railsinstaller-2.0.1.exe

 

第四步:经过cmd履行gem update -y 或许gem update system,晋级gem

 

第五步:在命令行输入以下代码:

 

gem install mysql2 with-mysql-include="C:\Program Files (x86)\MySQL\MySQL Connector C 6.0.2\include" with-mysql-lib="C:\Program Files (x86)\MySQL\MySQL Connector C 6.0.2\lib\opt"

 

第六步:依据第五步的途径

仿制 C:\Program Files (x86)\MySQL\MySQL Connector C 6.0.2\lib\opt 下的 libmysql.dll 到

装置好的Ruby on Rails环境目录下 Ruby1.9.2\bin 文件夹中

 

 

第七步:创立Rails项目,修正其间config/database.yml文件中的数据库暗码;

 

装置完结能够去屁颠的做项目去了。。。

注释:假如mysql是6.0以下版别有必要装置\mysql-connector-c-6.0.2-win32.msi适配器

版权声明
本文来源于网络,版权归原作者所有,其内容与观点不代表众发娱乐立场。转载文章仅为传播更有价值的信息,如采编人员采编有误或者版权原因,请与我们联系,我们核实后立即修改或删除。

猜您喜欢的文章

阅读排行

  • 1
  • 2
  • 3

    bzoj1086: [SCOI2005]王室联邦ITeye

    联通,分块,一棵树
  • 4

    bzoj1086: [SCOI2005]王室联邦ITeye

    联通,分块,一棵树
  • 5

    MFC动态链接库ITeye

    文件,运用,头文件
  • 6

    WebService JaxITeye

    功用,客户端,运用
  • 7
  • 8
  • 9

    Java 动态署理ITeye

    动态,办法,调用
  • 10

    ClassLoader学习笔记ITeye

    运用,模块,供给